# Merchant Withdrawal POST /partner/v3/shops/:shopUuid/contracts/:contractUuid/merchant-withdrawal Use this endpoint when the customer returns the rented items to the merchant and the Smart Rent contract needs to be cancelled in full. This API call notifies Inbank that the merchant is requesting a full withdrawal of the indicated contract. The exact commercial and operational terms of the withdrawal must be agreed with Inbank in advance. Note, that the current endpoint is suitable for full withdrawal only Endpoint: POST /partner/v3/shops/{shopUuid}/contracts/{contractUuid}/merchant-withdrawal Security: bearerAuth ## Path parameters: - `shopUuid` (string, required) The unique identifier of the shop. Example: "a93f1f44-d5dd-4469-bfcc-c1de9e969213" - `contractUuid` (string, required) The unique identifier of the Smart Rent contract. Example: "788ec8c4-c497-470b-8505-2303f151d427" ## Response 401 fields (application/json): - `message` (string) Unauthorized Example: "unauthorized" ## Response 403 fields (application/json): - `message` (string) Unauthorized access Example: "User is not authorized to access this resource with an explicit deny" ## Response 404 fields (application/json): - `message` (string) Not Found Example: "not_found" ## Response 500 fields (application/json): - `message` (string) Internal server error Example: "internal_server_error" ## Response 201 fields